public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/redcloth/
Date: Sun, 21 Nov 2021 07:40:39 +0000 (UTC)	[thread overview]
Message-ID: <1637480435.61a3e6dff4a88c5c3d1e5aa8d930febc83b19e74.graaff@gentoo> (raw)

commit:     61a3e6dff4a88c5c3d1e5aa8d930febc83b19e74
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 21 07:39:52 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Nov 21 07:40:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61a3e6df

dev-ruby/redcloth: fix extension install

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/redcloth/redcloth-4.3.2-r3.ebuild | 61 ++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

diff --git a/dev-ruby/redcloth/redcloth-4.3.2-r3.ebuild b/dev-ruby/redcloth/redcloth-4.3.2-r3.ebuild
new file mode 100644
index 000000000000..79aadcf980a1
--- /dev/null
+++ b/dev-ruby/redcloth/redcloth-4.3.2-r3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_NAME="RedCloth"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc CHANGELOG"
+
+RUBY_FAKEGEM_REQUIRE_PATHS="lib/case_sensitive_require"
+
+RUBY_FAKEGEM_GEMSPEC=redcloth.gemspec
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/redcloth_scan/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="A module for using Textile in Ruby"
+HOMEPAGE="http://redcloth.org/"
+
+GITHUB_USER=jgarber
+SRC_URI="https://github.com/${GITHUB_USER}/redcloth/archive/v${PV}.tar.gz -> ${RUBY_FAKEGEM_NAME}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND+=" =dev-util/ragel-6*"
+
+PATCHES=( "${FILESDIR}/${P}-load-documents.patch" )
+
+ruby_add_bdepend "
+	>=dev-ruby/rake-0.8.7
+	>=dev-ruby/rake-compiler-0.7.1
+	test? ( >=dev-ruby/diff-lcs-1.1.2 )"
+
+pkg_setup() {
+	ruby-ng_pkg_setup
+
+	# Export the VERBOSE variable to avoid remapping of stdout and
+	# stderr, and that breaks because of bad interactions between
+	# echoe, Ruby and Gentoo.
+	# export VERBOSE=1
+}
+
+all_ruby_prepare() {
+	sed -i -e '/[Bb]undler/d' Rakefile ${PN}.gemspec || die
+	rm -f tasks/{release,rspec,rvm}.rake || die
+}
+
+each_ruby_prepare() {
+	${RUBY} -S rake ext/redcloth_scan/extconf.rb || die
+}


             reply	other threads:[~2021-11-21  7:40 UTC|newest]

Thread overview: 64+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-21  7:40 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-03  9:12 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/redcloth/ Hans de Graaff
2024-07-21 12:55 Jakov Smolić
2024-07-21 12:42 Sam James
2024-07-21 12:42 Sam James
2024-07-21 12:42 Sam James
2024-07-21 12:42 Sam James
2024-07-21  7:04 Hans de Graaff
2024-03-15  6:08 Hans de Graaff
2024-01-26  8:01 Hans de Graaff
2023-12-08  7:11 Hans de Graaff
2023-11-03  7:57 Hans de Graaff
2023-09-24 14:25 Arthur Zamarin
2023-09-24 14:25 Arthur Zamarin
2023-09-24 14:25 Arthur Zamarin
2023-09-24 14:25 Arthur Zamarin
2023-09-24 14:25 Arthur Zamarin
2023-03-27  9:15 Sam James
2022-12-04 15:59 WANG Xuerui
2022-07-09  6:09 Hans de Graaff
2022-06-24 10:04 Hans de Graaff
2022-04-13  5:12 Hans de Graaff
2022-04-13  5:12 Hans de Graaff
2021-11-22  8:01 Hans de Graaff
2021-11-08  2:51 Yixun Lan
2021-04-07  6:14 Hans de Graaff
2020-02-27  6:05 Hans de Graaff
2019-06-05 17:56 Hans de Graaff
2019-05-13  1:41 Thomas Deutschmann
2019-05-02 21:27 Mikle Kolyada
2019-04-28 20:16 Mikle Kolyada
2019-04-27 19:20 Sergei Trofimovich
2019-04-27 16:25 Sergei Trofimovich
2019-04-27 16:03 Sergei Trofimovich
2019-04-21 17:07 Sergei Trofimovich
2019-04-20 17:46 Mikle Kolyada
2019-01-13  8:29 Hans de Graaff
2018-07-10 19:11 Sergei Trofimovich
2018-04-27  8:33 Hans de Graaff
2018-01-23 19:27 Hans de Graaff
2018-01-23 19:07 Markus Meier
2018-01-19  9:16 Tobias Klausmann
2017-12-29 17:41 Sergei Trofimovich
2017-12-27 12:20 Sergei Trofimovich
2017-12-12 18:39 Thomas Deutschmann
2017-12-11  6:36 Hans de Graaff
2017-12-10 22:39 Sergei Trofimovich
2017-11-30 20:06 Sergei Trofimovich
2017-11-26 12:23 Hans de Graaff
2017-08-23 21:43 Sergei Trofimovich
2017-05-10  4:15 Hans de Graaff
2017-01-15  9:23 Hans de Graaff
2016-11-25 10:10 Hans de Graaff
2016-11-15  0:10 Manuel Rüger
2016-10-02  9:22 Jeroen Roovers
2016-07-09 13:09 Manuel Rüger
2016-07-09 13:03 Manuel Rüger
2016-05-26 14:39 Tobias Klausmann
2016-05-18  4:51 Hans de Graaff
2016-05-04  5:23 Hans de Graaff
2016-03-17 10:50 Agostino Sarubbo
2016-03-15 14:40 Agostino Sarubbo
2016-03-13 12:34 Markus Meier
2016-03-07 21:14 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1637480435.61a3e6dff4a88c5c3d1e5aa8d930febc83b19e74.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox